%define upver	2.1
%define uprel	7r2
%define rel	0.2
#define jni	%{_jnidir}
%define jni	%{_libdir}/%{name}

Summary:	Parallel communication for the Java Development Toolkit
Name:		rxtx
Version:	%{upver}
Release:	%{rel}.%{uprel}%{?dist}
License:	LGPLv2+
Group:		System Environment/Libraries
URL:		http://rxtx.qbang.org/
Source:		http://rxtx.qbang.org/pub/rxtx/%{name}-%{upver}-%{uprel}.zip
Patch1:		%{name}-%{version}-loadlibrary.patch
Patch2:		%{name}-%{version}-configure.patch
Patch3:		%{name}-%{version}-uts.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
#BuildRequires:	java-devel >= 1:1.6.0
BuildRequires:	java-devel
BuildRequires:	jpackage-utils
BuildRequires:  libtool automake
#BuildRequires:	ant >= 1.7.0
#BuildRequires:	ant-junit >= 1.7.0
#BuildRequires:	junit4
#Requires:	java >= 1:1.6.0
Requires:	java
Requires:	jpackage-utils
ExcludeArch:	ppc ppc64

%description
rxtx is an full implementation of java commapi which aims to support RS232
IEEE 1284, RS485, I2C and RawIO.

%prep
%setup -q -n rxtx-%{upver}-%{uprel}
sed -e 's|@JNIPATH@|%{jni}|' %{PATCH1} | patch -s -b --suffix .p1 -p1
%patch2 -p1 -b .p2
%patch3 -p1 -b .p3
# remove prebuild binaries
find . -name '*.jar' -exec rm {} \;
find . -name '*.hqx' -exec rm {} \;

%build
./autogen.sh
export JAVA_HOME=%{java_home}
%configure
# parallel make fails with make %%{?_smp_mflags}
make
iconv -f ISO_8859-1 -t UTF-8 ChangeLog >ChangeLog.utf-8
mv ChangeLog.utf-8 ChangeLog

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_javadir} %{buildroot}%{jni}
make RXTX_PATH=%{buildroot}%{jni} JHOME=%{buildroot}%{_javadir} install
#echo "Driver=gnu.io.RXTXCommDriver" > %{buildroot}%{_javadir}/gnu.io.rxtx.properties
find %{buildroot} -name '*.la' -exec rm {} \;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog INSTALL README* TODO
%{_javadir}/*
%{jni}

%changelog
* Thu Sep 25 2008 Levente Farkas <lfarkas@lfarkas.org> - 2.1-0.2.7r2
- a few more spec file cleanup

* Mon Sep 15 2008 Levente Farkas <lfarkas@lfarkas.org> - 2.1-0.1.7r2
- update as requested by fedora

* Thu Jul 21 2008 Gergo Csontos <gergo.csontos@gmail.com> - 2.1
- Initial release
